Server-Sent Events stream for run events
curl --request GET \
--url https://api.acornops.dev/api/v1/runs/{runId}/stream \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/runs/{runId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Sessions and runs
Server-Sent Events stream for run events
Browser sessions receive the normal run event stream. Linked external integrations receive sanitized lifecycle and approval metadata without prompts, reasoning, token deltas, raw tool arguments, or tool results.
Server-Sent Events stream for run events
curl --request GET \
--url https://api.acornops.dev/api/v1/runs/{runId}/stream \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/runs/{runId}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<string>{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for linked external integration requests. Must identify the linked external user.
Required string length:
1 - 128Path Parameters
Example:
"5e709a9c-2481-4baa-aec2-ca193c50167d"
Response
SSE event stream.
Server-Sent Events stream.